/****************************************************************************
 *	This is base class for different classes with visual information
 *	about objects. Members are public since this are only data containers
 ***************************************************************************/
package com.ls.research.robocup.perception;


public class ObjectInfo
{
	public static final int NOT_EXISTING = 10000;

	public float		m_distance;
	public int			m_direction;
	public float		m_distChange;
	public int			m_dirChange;
	public boolean      m_isVisible;

	public ObjectInfo()
	{
		initialize();
	}

	public void initialize()
	{
		m_distance 		= 0.0f;
		m_direction 	= 0;
		m_distChange 	= 0.0f;
		m_dirChange 	= NOT_EXISTING;
		m_isVisible     = false;
	}
}


